The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Wireshark: denials of service

Synthesis of the vulnerability 

Several vulnerabilities of Wireshark can be used by a remote attacker to create a denial of service.
Vulnerable software: Debian, Ethereal, Fedora, openSUSE, RHEL, Wireshark.
Severity of this announce: 2/4.
Number of vulnerabilities in this bulletin: 5.
Creation date: 01/07/2008.
Références of this computer vulnerability: BID-30020, CERTA-2002-AVI-207, CVE-2008-3137, CVE-2008-3138, CVE-2008-3139, CVE-2008-3140, CVE-2008-3141, DSA-1673-1, FEDORA-2008-6440, FEDORA-2008-6645, RHSA-2008:0890-01, SUSE-SR:2008:017, VIGILANCE-VUL-7921, wnpa-sec-2008-03.

Description of the vulnerability 

The Wireshark/Ethereal program captures packets, in order to help administrator solving network problems. Protocols are decoded by dissectors. They have several vulnerabilities.

An attacker can stop the GSM SMS dissector. [severity:1/4; CVE-2008-3137]

An attacker can stop the PANA or KISMET dissector. [severity:1/4; CVE-2008-3138]

An attacke can stop the RTMPT dissector. [severity:1/4; CVE-2008-3139]

An attacker can obtain memory fragments via the RMI dissector. [severity:2/4; CVE-2008-3141]

An attacke can stop the syslog dissector. [severity:1/4; CVE-2008-3140]
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This computer vulnerability bulletin impacts software or systems such as Debian, Ethereal, Fedora, openSUSE, RHEL, Wireshark.

Our Vigil@nce team determined that the severity of this vulnerability bulletin is medium.

The trust level is of type confirmed by the editor, with an origin of intranet client.

This bulletin is about 5 vulnerabilities.

An attacker with a expert ability can exploit this threat note.

Solutions for this threat 

Wireshark: version 1.0.1.
Version 1.0.1 is corrected:
  http://wireshark.org/

Debian: new wireshark packages.
New packages are available:
  http://security.debian.org/pool/updates/main/w/wireshark/*_0.99.4-5.etch.3_*.deb

Fedora 8: new wireshark packages.
New packages are available:
  wireshark-1.0.2-1.fc8

Fedora 9: new wireshark packages.
New packages are available:
  wireshark-1.0.2-1.fc9

RHEL: new wireshark packages.
New packages are available:
Red Hat Enterprise Linux version 3: wireshark-1.0.3-EL3.3
Red Hat Enterprise Linux version 4: wireshark-1.0.3-3.el4_7
Red Hat Enterprise Linux version 5: wireshark-1.0.3-4.el5_2

SUSE: new packages.
New packages are available.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a systems vulnerabilities alert. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.